# **Guía de instalación express para Void Linux**

## Autor

### Telegram

* @lumaro	Luis
* @tenshalito	Tuxliban Torvalds

-----

## **ÍNDICE**

* [Sistemas de archivos](#Sistemas-de-archivos)
* [Instalación método XBPS](#Instalacion-metodo-XBPS)
* [Chroot](#Chroot)
* [/etc/fstab](#fstab)
* [/etc/fstab (EFI)](#fstab-efi)
* [/etc/rc.local](#rc-local)
* [Locales (Glibc)](#locales)
* [Root](#root)
* [Kernel](#kernel)
* [Grub](#grub)
* [Grub EFI](#grub-efi)
* [Reconfigurar el sistema](#reconfigurar-sistema)
* [Usuario](#usuario)
* [Doas](#doas)
* [Ngetty](#ngetty)
* [Salir](#salir)

-----

<a id="Sistemas-de-archivos"></a>

## Sistemas de archivos

```
# mkfs.vfat /dev/sda1
# mkfs.ext4 /dev/sda2 |  mkfs.xfs /dev/sda2

# mount /dev/sda2 /mnt/
# mount /dev/sda1 /mnt/boot/
```

<a id="Instalacion-metodo-XBPS"></a>
## Instalación método XBPS

**Variables**

```
XBPS_ARCH=x86_64
XBPS_ARCH=x86_64-musl
```

**Drivers de video**

```
xf86-video-amdgpu
xf86-video-ati
xf86-video-intel
xf86-video-nouveau
```

	# export XBPS_ARCH=x86_64 && xbps-install -S -R https://alpha.de.repo.voidlinux.org/current -r /mnt base-minimal alsa-utils bash bc bgs dejavu-fonts-ttf dhcpcd dmenu dracut dwm ethtool eudev ffmpeg file firefox gcc git grub herbe iproute2 iputils kbd kmod less libreoffice man-pages mesa-vaapi mksh mpv ngetty nnn opendoas pciutils scrot setxkbmap slock slstatus st sxiv tabbed telegram-desktop traceroute trash-cli unzip usbutils vim xclip xdotool xf86-video-ati xfsprogs xorg-minimal xrandr xtools xz zathura-pdf-poppler

<a id="Chroot"></a>
## Chroot

	# for i in sys dev proc; do $(mount --rbind /$i /mnt/$i && mount --make-rslave /mnt/$i); done && cp /etc/resolv.conf /mnt/etc && PS1='(chroot) # ' chroot /mnt /bin/bash

<a id="fstab"></a>
## /etc/fstab

```
# <fs>    <dir>  <type> <options>       <dump> <pass>
/dev/sda1  /boot  vfat  defaults,noatime   0     2
/dev/sda2  /      xfs   defaults,noatime   0     1
tmpfs      /tmp   tmpfs defaults,nosuid,nodev  0 0
tmpfs /home/<usuario>/path/void-packages/masterdir/builddir tmpfs defaults,noatime,size=2G 0 0
```

<a id="fstab-efi"></a>
## /etc/fstab (EFI)

```
# <fs>    <dir>  <type> <options>       <dump> <pass>
/dev/sda1  /boot  vfat  defaults,noatime   0     2
/dev/sda2  /      xfs   defaults,noatime   0     1
tmpfs      /tmp   tmpfs defaults,nosuid,nodev  0 0
tmpfs /home/<usuario>/path/void-packages/masterdir/builddir tmpfs defaults,noatime,size=2G 0 0
```

<a id="rc-local"></a>
## /etc/rc.local

```
# Default rc.local for void; add your custom commands here.
#
# This is run by runit in stage 2 before the services are executed
# (see /etc/runit/2).
ip link set wlp2s0 up
ip a add 192.168.1.7/24 dev <interfaz>
ip route add default via 192.168.1.1 dev <interfaz>
wpa_supplicant -B -D nl80211,wext -i <interfaz> -c /etc/wpa_supplicant/wpa_supplicant.conf
```

<a id="locales"></a>
## Locales (Glibc)

	# sed -i "s/#es_ES.UTF-8 UTF-8/es_ES.UTF-8 UTF-8/g" /etc/default/libc-locales &&  xbps-reconfigure -f glibc-locales

<a id="root"></a>
## Root

```
# passwd
# chown root:root / && chmod 755 /
```

<a id="kernel"></a>
## Kernel

```
=>linux-firmware subpackages
linux-firmware-amd
linux-firmware-intel
linux-firmware-nvdia
linux-firmware-network
linux-firmware-broadcom (dependencia de linux-firmware-network)
linux-firmware-qualcom (target armv7*|aarch64*)
linux-firmware-dvb

# xbps-install linuxX.XX dracut linux-firmware
```

<a id="grub"></a>
## Grub

	# xbps-install -y grub && grub-install --target=i386-pc /dev/sdX

<a id="grub-efi"></a>
## Grub EFI

	# xbps-install -y grub-x86_64-efi && grub-install --target=x86_64-efi --efi-directory=/boot/efi --bootloader-id="Void"

<a id="reconfigurar-sistema"></a>
## Reconfigurar el sistema

	# xbps-reconfigure -fa

<a id="usuario"></a>
## Usuario

```
# useradd -m -s /bin/bash -U -G wheel,disk,lp,audio,video,optical,storage,scanner,network,plugdev,xbuilder USUARIO
# passwd USUARIO
```

<a id="doas"></a>
## Doas

	# echo "permit nopass keepenv :wheel" > /etc/doas.conf

<a id="ngetty"></a>
## ngetty

	# rm -f  /var/service/{agetty-tty3,agetty-tty4,agetty-tty5,agetty-tty6} && ln -s /etc/sv/ngetty /var/service

<a id="salir"></a>
## Salir

```
# exit
# umount -R /mnt
# shutdown -r now
```
